Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I have Ubuntu 12.10 and whenever I run sudo modprobe ndiswrapper, I get the following error.

FATAL: Module ndiswrapper not found.

The command dkms status returns with...

ndiswrapper, 1.57, 3.2.0-32-generic, i686: installed

When I run ndiswrapper -v I am returned with this...

jason@jason:~$ ndiswrapper -v
utils version: '1.9', utils version needed by module: '1.9'
module details:
filename:       /lib/modules/3.5.0-18-generic/updates/dkms/ndiswrapper.ko
version:        1.58rc1
vermagic:       3.5.0-18-generic SMP mod_unload modversions 686 

I have installed commons, utils-1.9, dkms, source but it's still returning this error. How do I fix this?

share|improve this question
    
please post output of dkms status to check whether the ndiswrapper module has been built... –  Will Daniels Nov 7 '12 at 22:54
    
Done and posted –  jason328 Nov 7 '12 at 23:25
    
what wifi card are you trying to get running? can you post the output of "lspci | grep Network" –  Sam Nov 8 '12 at 2:41
    
Note that this seems to already have been asked and answered here: askubuntu.com/questions/132894/how-to-fix-ndiswrapper-not-found –  smskelley Nov 8 '12 at 2:43
    
Yeah, I already tried that. Whenever I get to sudo modprobe ndiswrapper it returns with FATAL: Module ndiswrapper not found, using both ways. –  jason328 Nov 8 '12 at 2:53
show 1 more comment

6 Answers

up vote 1 down vote accepted

The main reason for this error is bug in ndiswrapper 1.57 version. Check out this.

Download ndiswrapper 1.58 rc build here with better code than 1.57. It will work. Good luck

share|improve this answer
    
I followed the instructions and it built and installed correctly. However, now whenever I run modprobe ndiswrapper, I get no response from the terminal. It just acts like it is loading something, but nothing comes up. –  jason328 Nov 8 '12 at 21:04
    
When you issue a command and there is no response, it means, roughly, 'command executed as requested and there are no warnings or errors to report.' That's the expected behavior. –  chili555 Nov 8 '12 at 21:49
    
Well, what happens when it doesn't return with this jason@jason:~$? Because that is what is happening. –  jason328 Nov 9 '12 at 19:27
    
I see, it hangs and never returns to the command prompt. I'd open a terminal and do: sudo tail -f /var/log/syslog. Open a second terminal and do sudo modprobe ndiswrapper. See what messages appear in the first. I suspect you have a version mismatch. I suggest you go into Synaptic and remove everything ndiswrapper. Then go to your terminal again and cd Downloads/ndiswrapper-1.58rc1 (or wherever you downloaded it) and then sudo su, make clean, make, make install. Now can you modprobe ndiswrapper? –  chili555 Nov 12 '12 at 14:17
    
I did as you say and created the two terminals, however whenever I run sudo tail -f /var/log/syslog no messages return when I run modprobe ndiswrapper. –  jason328 Nov 15 '12 at 20:24
add comment

Based on what you have installed, this may seem silly, but have you installed ndiswrapper-dkms? That should allow you to sudo modprobe ndiswrapper.

share|improve this answer
    
Yes, I installed it already. Still not working. –  jason328 Nov 8 '12 at 2:54
add comment

I had to run echo ndiswrapper >> /etc/modules

share|improve this answer
    
This should be run as root, or with sudo tee. –  hexafraction Nov 14 '12 at 20:12
    
Oh yeah, (I had ran sudo -i) –  saleemrashid1 Nov 14 '12 at 20:14
    
Tried it and it didn't work. –  jason328 Nov 15 '12 at 20:24
add comment

That is not the right kernel version for 12.10 (check current running kernel with uname -r command). Try:

sudo dkms build -m ndiswrapper -v 1.57
sudo dkms install -m ndiswrapper -v 1.57

Let us know if that succeeds in forcing ndiswrapper to be rebuilt.

share|improve this answer
    
The console returned when I tried either code with this make KERNELRELEASE=3.5.0-18-generic KVERS=3.5.0-18-generic.......(bad exit status: 2) Error! Bad return status for module build on kernel: 3.5.0-18-generic (i686) Consult /var/lib/dkms/ndiswrapper/1.57/build/make.log for more information. –  jason328 Nov 8 '12 at 3:17
    
The make.log can be found in my question. –  jason328 Nov 8 '12 at 3:22
    
So we have a winner: LP Bug #1023645 –  Will Daniels Nov 8 '12 at 3:28
    
I wasn't aware from there . Any way Thanks.. –  K.K Patel Nov 8 '12 at 4:11
add comment

EDIT: Run this first:

sudo rm -f /lib/modules/3.5.0-*-generic/updates/dkms/ndiswrapper.ko

Then run this:

sudo apt-get install --reinstall ndiswrapper-dkms ndiswrapper-source

This will recompile the ndiswrapper so that it will work on your kernel. See if it works for you.

share|improve this answer
    
Tried it and it didn't work. Thanks for the try though. –  jason328 Nov 15 '12 at 20:34
    
Edited my post. See if that will work :) –  MiJyn Nov 16 '12 at 2:33
    
Returned with an error that was caused from nothing having ndiswrapper 1.58. Will redo it all see what it returns. –  jason328 Nov 17 '12 at 2:20
add comment

You can either wait for a fix to the bug or follow steps outlined in the bug comments, something along these lines:

mkdir ~/src
cd ~/src
wget http://downloads.sourceforge.net/project/ndiswrapper/testing/ndiswrapper-1.58rc1.tar.gz
tar -xvf ndiswrapper-1.58rc1.tar.gz
cd ndiswrapper-1.58rc1
make
sudo make install
share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.